#include "MainWindow.h"
#include <QFileDialog>
#include <QDir>
#include <QDesktopServices>
#include <QLineEdit>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent)
{
    setupUi(this);

    m_currentDir->setText( QDir::convertSeparators( QDir::currentPath() ) );
    m_dir->setText( QDir::convertSeparators( QDesktopServices::storageLocation( QDesktopServices::DesktopLocation ) ) );

    connect( m_openDir, SIGNAL( clicked() ), this, SLOT( onOpenDir() ) );
    connect( m_saveDir, SIGNAL( clicked() ), this, SLOT( onSaveDir() ) );
}

void MainWindow::onOpenDir()
{
    QFileDialog::getOpenFileName( this, "caption", m_dir->text(), "(*.txt)" );
}

void MainWindow::onSaveDir()
{
    QFileDialog::getSaveFileName( this, "caption", m_dir->text(), "(*.txt)" );
}
